#ifndef __norm_misc_h
#define __norm_misc_h

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h> 

#define FREE(x) \
  { free(x); x = NULL; }
    
#ifndef min
#define min(a,b) ((a)>(b)?(b):(a))
#endif
#ifndef max
#define max(a,b) ((b)>(a)?(b):(a))
#endif

/* Returns the ones-complement checksum of a chunk of
   b short-aligned bytes - adapted from tcpdump
*/
int   norm_misc_ones_complement_checksum(const void *p, int b, u_int32_t sum);

/* Add a trusted network. */
int   norm_misc_add_trusted_network(char *ip_addr, int maskbits);

/* Add a network interface */
int   norm_misc_add_network_interface(char *name);

/* Returns >0 when given IP address is on trusted side
   of the normalizer, as defined in the configfile.
*/
int   norm_misc_is_trusted_address(struct in_addr ip);

#endif
